
Understanding Society User Support - Support #957

Annual History Routing

04/12/2018 01:16 PM - Liam Wright

Status: Resolved Start date: 04/12/2018

Priority: Normal % Done: 100%

Assignee:    

Category: Data documentation   

Description

Hi,

I've posted this in another issue (#924), but am not sure whether the status will change so you will be made aware of ti.

I'm currently trying to derive consistent work-life history files using the Annual Event History module. However, the routing in the

questionnaires is unclear. Participants can be (and are) asked w_notempchk and w_empchk if they have ff_jbstat>2 & ff_emplw==1

(i.e. in last wave, self-defined as neither employed or self-employed, but also stated having paid work). If w_notempchk==2 and

w_empchk==2 (in Wave 2 this was 188 participants), then what, for example, is the question asked for empstendd? The text in the

questionnaire file is "On what date did you stop being [ff_JBSTAT] {if NotEmpChk = 2} / working in the job you were doing on

[ff_IntDate] {if EmpChk = 2} ?". It is not clear which takes precedence. Further, where w_nxtst==1 & (jbsamr==2 or samejob==2),

what would cjob refer to (question text: "Was that {if NxtSt = 1} / your {if JbSamR = 2 | SameJob = 2} next job your current job?") and

the variables (e.g. nxtjbhrs, nxtjbes, nxtbendd, and nxtendreas) which follow from this?

I've attached a diagram of the Annual Event History module routing as I understand it.

Thanks,

Liam

History

#1 - 04/13/2018 04:58 PM - Stephanie Auty

- Category set to Data documentation

- Status changed from New to In Progress

- Target version set to X M

- % Done changed from 0 to 10

- Private changed from Yes to No

Dear Liam,

Apologies, you're right - the status and assignee were not updated so we didn't see your response to #924.

We are looking into it and we will get back to you as soon as we can.

Best wishes,

Stephanie Auty - Understanding Society User Support Officer

#2 - 04/23/2018 05:59 PM - Stephanie Auty

- Status changed from In Progress to Feedback

- Assignee set to Liam Wright

- % Done changed from 10 to 70

Dear Liam,

There is indeed a small group of people that are sent through two bits of routing that are almost always mutually exclusive, i.e. that beginning with

empchk and that beginning with notempchk. You will need to make a decision about how to treat these people: i.e., whether to consider this a spell of

employment or non-employment. There are not many of them and it really will not affect any conclusions. One strategy would be to exclude them.

There are two other things to note when constructing employment histories:

1.    An important pitfall of this part of the data is that the coding of the currentness flags is reversed in the loop beginning with empchk and the loop

beginning with notempchk, such that in one 1=current and 2=ended, but it is flipped in the other loop.

2.    There are two alternative accounts of a person’s current activity at each interview: one which comes directly from the standalone question jbstat,
and one which is the last activity mentioned in a loop beginning with the fed-forward jbstat from the previous interview, and which the participant said

was current, thus stopping the loop. These do not always match up, and again you must make a decision about how to reconcile these conflicting

reports (you can’t just ignore jbstat since it is the start of all the fed-forward loops).

To answer the question at the end of your post in issue #924, the best assumption we can make about the content of CJOB in this case is that it is the

job the respondent mentions in jbsoc00.

Best wishes,

Stephanie Auty - Understanding Society User Support Officer

#3 - 04/24/2018 04:03 PM - Liam Wright

Hi Stephanie,

Thanks for the information. I'd rather not exclude these participants as, though they are small in number, people who state being unemployed or being

economically inactive are interesting to study in themselves.

I don't think cjob reflects the same job as jbsoc00 because someone could answer "2: No" to cjob and mention other, new jobs later in nextjob.

I'm still unclear about the wording of the four questions: empstendd, nxtst, cjob and nextstat. The questionnaires state the wordings to be:

empstendd: On what date did you stop being [ff_JBSTAT] {if NotEmpChk = 2} / working in the job you were doing on [ff_IntDate] {if EmpChk = 2} ?

nxtst: Immediately following that period of [ff_JBSTAT] {if NotEmpChk = 2} / job {if EmpChk = 2}, did you have a period of paid work or did you do

something else?

cjob: Was that {if NxtSt = 1} / your {if JbSamR = 2 | SameJob = 2} next job your current job?

nextstat: Immediately following that period of [NxtStElse]] {if NxtSt = 2} / period of [NextStat(i-1)] {if NxtSt = 2 and 2nd or subsequent loop} / job {if

NxtSt = 1} , did you have a period of paid employment or did you do something else?

(These wordings are all from Wave 6, but all wordings appear to be the same in each wave except for empstendd in Wave 7.)

Given the if conditions in each question are not mutually exclusive, which phrasing condition will take precedence? Is it the leftmost condition - e.g. for

nxtst "Immediately following that period of [ff_JBSTAT], did you have a period of paid work or did you do something else?" where NotEmpChk = 2 - or

is it some other rule?

There is a second problem with nextstat. It is possible to be asked that question without being asked nxtst - which the wording depends on - as one

can be routed to it if (jbsamr = 2 | samejob =2) & cjob = 2. What question would be asked in this case?

Thanks,

Liam

#4 - 07/10/2018 02:39 PM - Katy Morris

Following on from Liam's query:

For respondents who go through both empchk==2 and notempck==2 loops, which one of these is captured in empstenddd, empstendm and

empstendy4?

Many thanks for your help.

Katy

#5 - 07/12/2018 01:02 PM - Stephanie Auty

Note: this issue was continued into #968.

#6 - 07/23/2018 03:39 PM - Stephanie Auty

- Status changed from Feedback to In Progress

- Assignee changed from Liam Wright to Stephanie Auty

Dear Katy,

On order to check this for up to Wave 6 we have to load the old scripts. Unfortunately we are having a technical issue with this at the moment but will

respond as soon as we have it sorted out.

From Wave 7 onwards the condition for the wording of the question is no longer ambiguous.

Best wishes,

Stephanie Auty - Understanding Society User Support Officer
#7 - 07/24/2018 01:33 PM - Stephanie Auty

- Status changed from In Progress to Feedback

- Assignee deleted (Stephanie Auty)

- % Done changed from 70 to 80

Dear Katy,

We have now been able to check what happens in the case you mention. In the case that EmpChk and NotEmpChk both equal 2, the text fill for

NonEmpChk would be shown, so the question would say "On what date did you stop being [ff_JBSTAT]?" and the values relating to this are captured

in w_empstendd, w_empstendm and w_empstendy4.

Best wishes,

Stephanie Auty - Understanding Society User Support Officer

#8 - 08/02/2018 11:27 AM - Liam Wright

Hi Stephanie,

Did you have the wording for the other questions too please?

Thanks,

Liam

#9 - 08/06/2018 01:37 PM - Stephanie Auty

Dear Liam,

Apologies for the confusion between question routing and the question wording which depends on previous responses.

I have forwarded the question about nxtst and cjob to the people who can run the questionnaire script and will get back to you with their response.

Regarding nextstat, we think that if nxtst has not been asked, the wording will be "Immediately following that, did you have a period of paid

employment or did you do something else?”, but I have also asked for that to be checked in the questionnaire script.

Best wishes,

Stephanie Auty - Understanding Society User Support Officer

#10 - 08/06/2018 05:23 PM - Liam Wright

Dear Stephanie,

Great. Thanks for this.

Best wishes,

Liam

#11 - 08/07/2018 03:14 PM - Stephanie Auty

Dear Liam,

We have the following answers to your questions:

nxtst: if both conditions are true, the wording is, "Immediately following that period of [ff_JBSTAT], did you have a period of paid work or did you do

something else?"

cjob: if both conditions are true, the wording is, "Was your next job your current job?"

nextstat: if nxtst is Don't know or missing, the wording is, "Immediately following that activity, did you have a period of paid employment or did you do

something else?"

Best wishes,

Stephanie Auty - Understanding Society User Support Officer

#12 - 10/12/2018 02:31 PM - Stephanie Auty

- Status changed from Feedback to Resolved

#13 - 10/12/2018 02:33 PM - Stephanie Auty

- % Done changed from 80 to 100
